#include<bits/stdc++.h>
using namespace std;

int main() {
    ios::sync_with_stdio(0);cin.tie(0);
    int m, n;
    cin >> m >> n;
    if(m > 2 && n > 2){
        cout << m*2 + n*2 - 4 + ((n-2)*(m-2))/2;
    }else{cout << m*n;}
    return 0;
}